

    variable RegisterMenu {ZS_THRES ZS_NSAMP THRESHOLD OVERUNDER STATUS OCCUPANCY DAC CONFIGURATION}
    variable Register [first $RegisterMenu]

    for {set i 1} {$i <= 8} {incr i} {
        variable ZS_THRES.Logic$i Positive
        variable ZS_THRES.Weight$i Fine
        variable ZS_THRES.Value$i $i
    }

    for {set i 1} {$i <= 8} {incr i} {
        variable ZS_NSAMP.Value$i $i
    }

    for {set i 1} {$i <= 8} {incr i} {
        variable THRESHOLD.Value$i $i
    }

    for {set i 1} {$i <= 8} {incr i} {
        variable OVERUNDER.Value$i $i
    }

    for {set i 1} {$i <= 8} {incr i} {
        variable OCCUPANCY.Value$i $i
    }

    for {set i 1} {$i <= 8} {incr i} {
        variable DAC.Value$i $i
    }

    variable CONFIGURATION.AnalogMon 0
    variable CONFIGURATION.ZeroSupp 0
    variable CONFIGURATION.TrigGen 0
    variable CONFIGURATION.TrigOlap 0
    variable CONFIGURATION.SampleVal 0


    set RegisterHelp(ZS_THRES) "read the manual"
    set RegisterHelp(ZS_NSAMP) "read the manual"
    set RegisterHelp(THRESHOLD) "read the manual"
    set RegisterHelp(OVERUNDER) "\n\nEach channel can generate a local trigger as the digitised signal exceeds the Vth threshold and remains under or over threshold for at least Nth \"quartets\" of samples. The local trigger is delayed by Nth \"quartets\" with respect to the input signal. This register allows the value of Nth to be set."
    set RegisterHelp(STATUS)    "\n\nChannel Status - Read Only"
    set RegisterHelp(OCCUPANCY) "\n\nNumber of Occupied buffers for this channel - Read Only"
    set RegisterHelp(DAC)       "\n\nBits \[15:0\] define a DC offset to be added to the input signal in the range -1.125V => +1.125V (low) or -1V => +8V (high)"
    set RegisterHelp(CONFIGURATION) "\n\nSettings which apply to all channels"
